
import { request } from '../service/request'

/**
 * @param { string } pointState  模式id 1 ~ 8 张题卡
 */ 
export const getQuestionCard = (pointState: string) => {
    return request({
        url: `/questionCard/${pointState}`
    })
}


/**
 * 提交题卡
 * 
 * @param {params} 参数 
 */ 

type optionAnswersType = {
    color: string,
    optionId: string,
    yourAnswer: string
}

type postQuestionCardParams = {
    cardId: string,
    takeTime: number,
    optionAnswers: optionAnswersType[]
}


export const postQuestionCard = (params: postQuestionCardParams) => {
    return request({
        url: `/questionCard/answer`,
        method: 'POST',
        data: params
    })
}




/**
 * 
 * @description  错题解析
 * @param ids 题卡id的集合 
 */


export const questionAnalysis = (ids: string[]) => {
    return request({
        url: `/score/analysis?ids=${ids}`
    })
}