import React from 'react'

import { View, Image, Text } from '@tarojs/components'

import Taro from '@tarojs/taro'

import './Modal.scss'

const Modal = ({trueQuestionNum, LifeNum, cardId, setLifeNum, timeStamp}) => {

   console.log(LifeNum, 'LifeNum');
   
    
    // 退出
    const quit = () => {
        const cardIdList = Taro.getStorageSync('cardIdList')


        if (!cardIdList) {
            Taro.navigateBack({
                 delta: 1
            });
            return 
        }

        const encodeCardIdList = encodeURIComponent( JSON.stringify(cardIdList))
        
        console.log(encodeCardIdList, 'encodeCardIdListencodeCardIdList');
        
        Taro.removeStorageSync('cardIdList');
        Taro.redirectTo({
             url: `/pages/Report/index?cardIdList=${encodeCardIdList}`
        })
    }
    // 点我提升
    const goGetBagPage = ()  => {
        Taro.redirectTo({
             url: '/pages/GetBag/index'
        });
    }

    // 下一关
    const goNextCard = () => {
        Taro.redirectTo({
             url: `/pages/TopicPage/index?pointState=${Number(cardId) + 1}`
        });
    }

    // 复活再来

    const again = () => {
        setLifeNum(LifeNum + 1)

        if (LifeNum + 1 < 6) {
            Taro.redirectTo({
                 url: `/pages/TopicPage/index?pointState=${cardId}`
            });
        } 
    }

    const RenderCom = () => {

        if (trueQuestionNum <= 2 && timeStamp < 180) {
            return (
                <React.Fragment>
                    <Image className='right' onClick={again} src={require('../../../assets/TopicPage/again.png')} />
                    <Image className='befated-label' mode='aspectFit' src={require('../../../assets/TopicPage/befated.png')} />
                    <View className='content befated-content'>
                        世上无难事，无难事只要肯坚持，
                        你有一次复活的机会，再来！
                    </View>
                </React.Fragment>
            )
        } else if (trueQuestionNum >= 3 && timeStamp < 180) {
            return (
                <React.Fragment>
                    <Image className='right' onClick={goNextCard} src={require('../../../assets/TopicPage/next.png')} />
                    <Image className='pass-label'  mode='aspectFill'  src={require('../../../assets/TopicPage/pass.png')} />
                    <View className='content pass-content'>
                        本关用时: {timeStamp}s
                    </View>
                </React.Fragment>
            )
        }

        if (trueQuestionNum <= 2 && timeStamp === 180 ) {
            return (
                <React.Fragment>
                    <Image className='right' onClick={again} src={require('../../../assets/TopicPage/again.png')} />
                    <Image className='time-over-label'  mode='aspectFill'  src={require('../../../assets/TopicPage/time-over.png')} />
                    <View className='content pass-content'>
                        每关答题时间为3分钟，
                        你有一次复活的机会，再来！
                    </View>
                </React.Fragment>
            )
        } else if (trueQuestionNum >= 3 && timeStamp === 180 ) {
            return (
                <React.Fragment>
                    <Image className='right' onClick={goNextCard} src={require('../../../assets/TopicPage/next.png')} />
                    <Image className='time-over-label'  mode='aspectFill'  src={require('../../../assets/TopicPage/time-over.png')} />
                    <View className='content pass-content'>
                        本关用时: {timeStamp}s
                    </View>
                </React.Fragment>
            )
        }

    }

    const RenderLifeZeroCom = () => {
        return (
           <View className='LifeNum-zero'>
               <Image className='face' src={require('../../../assets/TopicPage/face.png')} />
               <View className='LifeNum-zero-label'>
                   <Image className='LifeNum-zero-befated'  src={require('../../../assets/TopicPage/befated.png')} />
               </View>
               <View className='LifeNum-zero-content'>
                    你的6次复活机会用完了哦
               </View>
               <Image className='LifeNum-zero-left' onClick={() => quit()} src={require('../../../assets/TopicPage/quit.png')} />
               <Image className='LifeNum-zero-right' onClick={() => goGetBagPage()} src={require('../../../assets/TopicPage/promote.png')} />
           </View>
        )
    }
    return (
        <View className='Modal'>
            {
                LifeNum < 6 ? <View className='container'>
                <Image className='star' src={require(`../../../assets/TopicPage/star${trueQuestionNum}.png`)} />
                <Image className='left' onClick={() => quit()} src={require('../../../assets/TopicPage/quit.png')} />
                { RenderCom() }
                </View> : RenderLifeZeroCom()   
            }
           
        </View>
    )
}

export default Modal
