/* eslint-disable import/no-commonjs */
import React, { useState, useEffect } from 'react'

import { View,  Image, Button} from '@tarojs/components'

import { AtCurtain } from 'taro-ui'

import Taro from '@tarojs/taro'

import './index.scss'

import { login } from '../../api/My'

import Tip from '../../utils/tip'

const Index: React.FC = () => { 

  const [ visible, setVisble ] = useState<boolean>(false)

  // 是否下下移获取大礼包背景板 --> iphone x及以上机型下移

  const [ moveState, setMoveState ] = useState<boolean>(false) 

  // 跳转页面
  const goPage = () => {
    Taro.navigateTo({
       url: '/pages/Entrance/index'
    });
  }

  // 去领取物品页面
  const goGetBagPage = () => {
    Taro.navigateTo({
       url: '/pages/GetBag/index'
    });
 }

 useEffect( () => {
  Taro.getSystemInfo({
    success: function (res) {
      const { windowHeight } = res
      if (windowHeight >= 812) {
        setMoveState(true)
      }

    }
  });
 }, [])

  //  获取用户信息
  const getUserInfo = async (e) => {
    const token = Taro.getStorageSync('userInfo').token
    if (!token) {
      Tip.loading('登陆中')
      const { code } =  await Taro.login()

      const { nickName, avatarUrl} = e.detail.userInfo

      const $par =  {
        nickName,
        avatarUrl,
        jsCode: code
      }


      const data = await login($par)

      console.log(data);

      Taro.setStorageSync('userInfo', data)
    } 

    goPage()
    
  }

  // 渲染弹窗
  const RenderRuler = () => {
    return (
      <AtCurtain isOpened={visible} closeBtnPosition='top-right' onClose={() => setVisble(false)} >
        <Image style={{width: 298, height: 432}} src={require('../../assets/index/ruler.png')} />
      </AtCurtain>
    )
  }
  

  return (
    <View className='index'>
    
        <Image 
          mode='scaleToFill'
          className='bg'
          src={require('../../assets/index/index1-X.png')}
        />

        <Image className='ruler' onClick={() => setVisble(true)} src={require('../../assets/index/index2.png')} />

        <View className='activity' style={{top: moveState ? '52.83vh': '45.88vh'}}>
          <Image className='gift-bag' src={require('../../assets/index/index3.png')} />

          <Image onClick={goGetBagPage} className='get-btn' src={require('../../assets/index/index5.png')} />
        </View>

        <Button className='start-btn' openType='getUserInfo' onGetUserInfo={getUserInfo} >
          <Image 
            className='btn'
            src={require('../../assets/index/index4.png')}
         
          />
        </Button>
        
        

        {/* 活动规则 */}
        {RenderRuler()}
      </View>
  )

}

export default Index
